Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class BytecodeInstruction

    java.lang.Object
      org.codehaus.groovy.classgen.BytecodeInstruction

    public abstract class BytecodeInstruction
    extends Object

Helper class used by the class generator. Usually an inner class is produced, that contains bytecode creation code in the visit method.

Authors:
  Jochen Theodorou

Method Summary
`void` | `visit(org.objectweb.asm.MethodVisitor mv)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### visit

    public void visit(org.objectweb.asm.MethodVisitor mv)

Copyright © 2003-2010 The Codehaus. All rights reserved.